/*
 * 9を越えたら負けゲーム
 * 1, 2, 3のキーを押していき，合計が9を越えた人の負け
 */

void main(void) {
    int sum, key;

    while(1) {
	sum = 0;
	while(sum < 10) {
	    setNumberLed(sum);
	    if(inputKey(&key)) {
		if(key <= 3) {
		    sum = sum + key;
		    beepShortSound();
		}
	    }
	}
	setNumberLed(sum);
	beepErrorSound();
    }
}
